# IN DEVELOPMENT

# ReduxGen

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/redux_gen`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'redux_gen'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install redux_gen

## Usage

The gem has two main actions available: `new` and `destroy`.

The `new` action accepts the component type and name of the component itself. Available types are:
- reducer
- middleware
- action
- constant
- component

Under the context of this generator, a component is any individual piece of React/Redux code that can be generated. Not to be confused with a React component
which behaves like an HTML template.

To create a new component, ex. an action named foo:

```
redux_gen new action foo
```

This will generate a file `foo.js` within the `actions` directory. It will also create the `actions` directory if it doesn't already exist.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/LySofDev/redux_gen. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the ReduxGen project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/redux_gen/blob/master/CODE_OF_CONDUCT.md).
